SDL_MUSTLOCK(3)

NAME
SDL_MUSTLOCK - Evaluates to true if the surface needs to be locked before access.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_MUSTLOCK(S) (((S)->flags & SDL_SURFACE_LOCK_NEEDED) == SDL_SURFACE_LOCK_NEEDED)

AVAILABILITY
This macro is available since SDL 3.2.0.